Package com.google.android.exoplayer2.upstream

## Class HttpDataSource.CleartextNotPermittedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException
        - - com.google.android.exoplayer2.upstream.HttpDataSource.CleartextNotPermittedException

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    HttpDataSource

      public static final class HttpDataSource.CleartextNotPermittedException
      extends HttpDataSource.HttpDataSourceException

  Thrown when cleartext HTTP traffic is not permitted. For more information including how to enable cleartext traffic, see the corresponding troubleshooting topic.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException

      `HttpDataSource.HttpDataSourceException.Type`

  - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.upstream.HttpDataSource.HttpDataSourceException

      `dataSpec, type, TYPE_CLOSE, TYPE_OPEN, TYPE_READ`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CleartextNotPermittedException​(IOException cause, DataSpec dataSpec)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CleartextNotPermittedException

          public CleartextNotPermittedException​(IOException cause,
                                                DataSpec dataSpec)